Subject: [lemonade] [Technical Errata Reported] RFC4978 (4478)

From: RFC Errata System <[email-masked]>
Date: Sat, 19 Sep 2015 02:03:43 -0700 (PDT)

The following errata report has been submitted for RFC4978,
"The IMAP COMPRESS Extension".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4978&eid=4478

--------------------------------------
Type: Technical
Reported by: poima fuimaono <[email-masked]>

Section: IMAP protoco

Original Text
-------------
RFC 4978 vs. RFC 5032 -- mismatch in UPDATES clauses

Within two weeks, two RFCs have been published specifying amendments
to the IMAP protocol:

  o  RFC 4978  -- COMPRESS

  o  RFC 5032  -- WITHIN Search

Both IMAP extensions are similarly structured and arguably RFC 4978
modifies IMAP behaviour specified in RFC 3501 (and other IMAP
extension specifications: IMAP TLS and SASL) to a much greater extent
than RFC 5032 does.

Nevertheless and surprisingly, only RFC 5032 has the line,
  Updates: 3501
in its document header and hence in its RFC index metadata.

This is apparently inconsistent.

An update to the RFC metadata incoporating the relation
     "RFC 4978 updates RFC 3501"
would be welcome as well.
Report New Errata

Corrected Text
--------------
TBD following modifications

Notes
-----
Both IMAP extensions are similarly structured and arguably RFC 4978
modifies IMAP behaviour specified in RFC 3501 (and other IMAP
extension specifications: IMAP TLS and SASL) to a much greater extent
than RFC 5032 does.

Nevertheless and surprisingly, only RFC 5032 has the line,
  Updates: 3501
in its document header and hence in its RFC index metadata.

This is apparently inconsistent.

An update to the RFC metadata incoporating the relation
     "RFC 4978 updates RFC 3501"
would be welcome as well.
Report New Errata

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4978 (draft-ietf-lemonade-compress-08)
--------------------------------------
Title               : The IMAP COMPRESS Extension
Publication Date    : August 2007
Author(s)           : A. Gulbrandsen
Category            : PROPOSED STANDARD
Source              : Enhancements to Internet email to support diverse service environments
Area                : Applications
Stream              : IETF
Verifying Party     : IESG